<?php
/**
 * Get customizer options based on theme style and demo name.
 *
 * @package Dima Framework
 * @subpackage Admin customizer
 * @version   1.0.0
 * @since     1.0.0
 * @author    PixelDima <info@pixeldima.com>
 */

$is_menu_dark          = dima_helper::dima_am_i_true( dima_helper::dima_get_option( 'dima_header_navbar_menu_dark' ) );
$list_all_font_weights = DIMA_Webfonts::dima_get_font_weights();
$list_font_subsets     = DIMA_Webfonts::dima_get_font_subsets();

$dima_customizer_data = array(
	'dima_footer_content_top_bg'                  => '#333333',
	'dima_footer_featured_top_bg'                 => '#292929',
	'dima_footer_featured_border_color'           => '#22283a',
	'dima_footer_featured_bg_image'               => '',
	'dima_footer_bg_image'                        => '',
	'dima_footer_is_dark'                         => '1',
	'dima_footer_content_body_color'              => '#a2a2a2',
	'dima_footer_content_link_color'              => '#FFFFFF',
	'dima_footer_widget_header_color'             => '#FFFFFF',
	'dima_footer_widget_body_color'               => '#333333',
	'dima_footer_widget_link_color'               => '#a2a2a2',
	'dima_footer_widget_link_hover_color'         => '#FFFFFF',
	'dima_footer_widget_border_color'             => '#363636',
	'dima_body_text_color'                        => '#757575',
	'dima_body_link_color'                        => '#333333',
	'dima_body_link_color_hover'                  => '#333333',
	'dima_navbar_text_color'                      => '#333333',
	'dima_navbar_text_hover_color'                => '',
	'dima_navbar_text_color_after'                => '#333333',
	'dima_navbar_underline_hover_color'           => '#333333',
	'dima_navbar_underline_on_off'                => '1',
	'dima_menu_border_color'                      => '#eeeeee',
	'dima_page_title_bg_color'                    => '#f7f7f7',
	'dima_submenu_bg_color'                       => '#ffffff',
	'dima_submenu_text_color'                     => '#ffffff',
	'dima_submenu_text_hover_color'               => '#333333',
	'dima_submenu_text_line_height'               => '',
	'dima_navbar_background_color'                => '#f7f7f7',
	'dima_logo_font_list'                         => 'Poppins',
	'dima_logo_text_color'                        => '#FFFFFF',
	'dima_logo_text_style'                        => '0',
	'dima_logo_weights_list'                      => '700',
	'dima_logo_text_size'                         => '25px',
	'dima_logo_letter_spacing'                    => '0',
	'dima_logo_weight_selected'                   => '',
	'dima_navbar_background_color_after'          => '#f7f7f7',
	'dima_navbar_background_image'                => '',
	'dima_heading_text_color'                     => '#333333',
	'dima_navbar_font_list'                       => 'Poppins',
	'dima_heading_font_list'                      => 'Poppins',
	'dima_body_subsets_list'                      => 'latin',
	'dima_gfonts_load_method'                     => 'cdn',
	'dima_custom_font_one'                        => '',
	'dima_custom_font_two'                        => '',
	'dima_custom_font_three'                      => '',
	'dima_body_font_list'                         => 'Poppins',
	'dima_layout_site'                            => 'full-width',
	'dima_layout_content'                         => 'right-sidebar',
	'dima_layout_bbpress_content'                 => 'right-sidebar',
	'dima_layout_bp_content'                      => 'right-sidebar',
	'dima_header_navbar_position'                 => 'fill-width',
	'dima_header_navbar_text_align'               => 'text-end',
	'dima_header_menu_full_width'                 => '1',
	'dima_btn_font_list'                          => 'Maven Pro',
	'dima_btn_weights_list'                       => '500',
	'dima_btn_weight_selected'                    => '',
	'dima_btn_text_size'                          => '14',
	'dima_body_font_source'                       => 'g_fonts',
	'dima_heading_font_source'                    => 'g_fonts',
	'dima_heading_2_font_source'                  => 'g_fonts',
	'dima_heading_3_font_source'                  => 'g_fonts',
	'dima_heading_4_font_source'                  => 'g_fonts',
	'dima_heading_5_font_source'                  => 'g_fonts',
	'dima_heading_6_font_source'                  => 'g_fonts',
	'dima_btn_font_source'                        => 'g_fonts',
	'dima_navbar_font_source'                     => 'g_fonts',
	'dima_logo_font_source'                       => 'g_fonts',
	'dima_header_navbar_shear_icon'               => '1',
	'dima_header_navbar_wpml_lang_show'           => '1',
	'dima_header_navbar_icon_menu'                => '0',
	'dima_header_navbar_primary_menu'             => '1',
	'dima_header_navbar_button'                   => '0',
	'dima_header_navbar_button_url'               => '#',
	'dima_header_navbar_button_txt'               => 'button',
	'dima_header_navbar_button_class'             => '',
	'dima_header_navbar_button_bg_color'          => '#333333',
	'dima_header_navbar_button_bg_color_hover'    => '#484848',
	'dima_header_navbar_button_txt_color'         => '#FFFFFF',
	'dima_header_navbar_animation'                => 'static-top',
	'dima_header_navbar_sticky_mobile'            => '0',
	'dima_header_navbar_offset_by_id'             => '',
	'dima_header_navbar_offset_by_px'             => '',
	'dima_header_search_enable'                   => '1',
	'dima_header_burger_bg_color'                 => '#333333',
	'dima_header_search_style'                    => '',
	'dima_header_search_screen'                   => '1',
	'dima_header_search_dark'                     => '1',
	'dima_header_burger_bg_img'                   => '',
	'dima_header_search_bg_img'                   => '',
	'dima_header_logo'                            => '',
	'dima_header_navbar_transparent'              => '1',
	'dima_header_burger_menu'                     => '0',
	'dima_header_navbar_burger_mobile'            => '1',
	'dima_header_burger_menu_style'               => 'full',
	'dima_header_burger_menu_float'               => 'end',
	'dima_header_sticky_logo'                     => '',
	'dima_header_mobile_logo'                     => '',
	'dima_header_logo_retina'                     => '',
	'dima_header_sticky_logo_retina'              => '',
	'dima_header_mobile_logo_retina'              => '',
	'dima_header_logo_width'                      => '107',
	'dima_header_logo_width_rtl'                  => '107',
	'dima_header_logo_rtl'                        => '',
	'dima_header_sticky_logo_rtl'                 => '',
	'dima_header_mobile_logo_rtl'                 => '',
	'dima_header_logo_retina_rtl'                 => '',
	'dima_header_sticky_logo_retina_rtl'          => '',
	'dima_header_mobile_logo_retina_rtl'          => '',
	'dima_page_title_display'                     => '1',
	'dima_breadcrumb_display'                     => '1',
	'dima_breadcrumb_show_post_type_archive'      => '0',
	'dima_page_title_bg_is_cover'                 => '0',
	'dima_menu_copyright_display'                 => '0',
	'dima_breadcrumb_background_image'            => '',
	'dima_breadcumbs_image_style'                 => 'none',
	'dima_breadcrumb_position'                    => 'start',
	'dima_header_searchform_on_page_title'        => '0',
	'dima_navbar_option_myaccount_display_topbar' => '1',
	'dima_navbar_option_wishlist'                 => '1',
	'dima_navbar_option_address_text_topbar'      => '',
	'dima_navbar_lang_shortcode'                  => '',
	'dima_navbar_option_tel_text_topbar'          => '',
	'dima_navbar_option_email_text_topbar'        => '',
	'dima_navbar_option_today_text_topbar'        => 'l , F j Y',
	'dima_template'                               => 'noor_main',
	'dima_demo_name'                              => 'noor_main',
	'dima_demo_settings'                          => 'noor_main',
	'dima_content_width'                          => '100',
	'dima_content_max_width'                      => '1170',
	'dima_sidebar_width'                          => '240',
	'dima_section_padding'                        => '150',
	'dima_page_title_padding'                     => '150',
	'dima_loading'                                => '0',
	'dima_loading_logo'                           => '',
	'dima_loading_bg_color'                       => '#FFFFFF',
	'dima_loading_border_color'                   => '#333333',
	'dima_smoothscroll'                           => '0',
	'dima_blog_link_icon'                         => 'ic_more_horiz',
	'dima_shop_link_icon'                         => 'ic_more_horiz',
	'dima_add_to_link_icon'                       => 'ic_shopping_basket',
	'dima_portfolio_link_icon'                    => 'ic_more_horiz',
	'dima_burger_menu_icon'                       => 'ic_menu',
	'dima_mobile_menu_icon'                       => 'ic_menu',
	'dima_sticky_sidebar'                         => '1',
	'dima_frame_size'                             => 'x20',
	'dima_frame_color'                            => '#FFFFFF',
	'dima_main_color'                             => '',
	'dima_secondary_main_color'                   => '',
	'dima_body_background_color'                  => '#FFFFFF',
	'dima_body_background_image'                  => '',
	'dima_body_background_image_repeat'           => '',
	'dima_body_background_image_position'         => '',
	'dima_body_background_image_size'             => '',
	'dima_body_background_image_attachment'       => '',
	'dima_boxed_margin'                           => '20',
	'dima_boxed_body_background_color'            => '#f7f7f7',
	'dima_boxed_body_background_image'            => '',
	'dima_boxed_body_background_image_repeat'     => '',
	'dima_boxed_body_background_image_position'   => '',
	'dima_boxed_body_background_image_size'       => '',
	'dima_boxed_body_background_image_attachment' => '',
	'dima_custom_font'                            => '0',
	'dima_body_weights_list'                      => '300,300italic,400,400italic',
	'dima_body_text_size'                         => '14px',
	'dima_body_letter_spacing'                    => '',
	'dima_body_line_height'                       => '',
	'dima_navbar_text_style'                      => 'Poppins',
	'dima_navbar_weights_list'                    => '400',
	'dima_navbar_text_size'                       => '14',
	'dima_heading_text_style'                     => 'bold',
	'dima_heading_weights_list'                   => '300',
	'dima_heading_letter_spacing'                 => '0',
	'dima_navbar_letter_spacing'                  => '0',
	'dima_blog_style'                             => 'standard',
	'dima_search_advanced'                        => '0',
	'dima_search_activated_on'                    => '',
	'dima_search_default_type'                    => 'all',
	'dima_blog_layout'                            => '',
	'dima_single_blog_layout'                     => '',
	'dima_blog_masonry_columns'                   => '2',
	'dima_blog_comments_style'                    => '',
	'dima_blog_enable_full_post_index'            => '0',
	'dima_second_title_on_post'                   => '0',
	'dima_blog_blog_excerpt'                      => '55',
	'dima_blog_enable_post_meta'                  => '1',
	'dima_blog_enable_post_meta_cat'              => '1',
	'dima_blog_enable_post_meta_author'           => '1',
	'dima_blog_enable_post_meta_comment'          => '1',
	'dima_blog_enable_post_meta_date'             => '1',
	'dima_blog_enable_featured_image'             => '1',
	'dima_elm_hover'                              => 'noor',
	'dima_img_hover'                              => 'none',
	'dima_pagination_post'                        => '1',
	'dima_shear_icons_post'                       => '1',
	'dima_shop_slide_animation'                   => 'slide',
	'dima_author_post'                            => '1',
	'dima_post_related_display'                   => '1',
	'dima_post_related_is_slide'                  => '0',
	'dima_post_related_columns'                   => '3',
	'dima_post_related_count'                     => '3',
	'dima_structure_data'                         => '1',
	'dima_schema_type'                            => 'Article',
	'dima_pagination_bg_color'                    => '#606060',
	'dima_sidebar_widget_header_size'             => '18px',
	'dima_sidebar_widget_header_uppercase'        => '1|bold',
	'dima_sidebar_widget_body_size'               => '14px',
	'dima_sidebar_widget_body_uppercase'          => '',
	'dima_shop_menu'                              => '1',
	'dima_edd_menu'                               => '1',
	'dima_shop_sub_menu'                          => '1',
	'dima_shop_layout'                            => '',
	'dima_product_layout'                         => '',
	'dima_edd_product_layout'                     => '',
	'dima_shop_columns'                           => '3',
	'dima_shop_posts_per_page'                    => '12',
	'dima_shop_elm_hover'                         => '',
	'dima_shop_sort'                              => '1',
	'dima_shop_quick_view'                        => '1',
	'dima_shop_product_layout'                    => 'grid',
	'dima_shop_product_tap_display'               => '1',
	'dima_shop_product_nav'                       => '1',
	'dima_shop_shear_icons'                       => '1',
	'dima_product_gallery_style'                  => 'classic',
	'dima_shop_description_tap_display'           => '1',
	'dima_shop_info_tap_display'                  => '1',
	'dima_shop_reviews_tap_display'               => '1',
	'dima_shop_related_products_display'          => '1',
	'dima_shop_related_product_columns'           => '3',
	'dima_shop_related_product_count'             => '4',
	'dima_shop_upsells_display'                   => '1',
	'dima_shop_upsells_columns'                   => '3',
	'dima_shop_upsells_count'                     => '4',
	'dima_shop_cart_display'                      => '1',
	'dima_shop_cart_columns'                      => '3',
	'dima_shop_cart_count'                        => '4',
	'dima_footer_big'                             => '1',
	'dima_footer_full_width'                      => '1',
	'dima_footer_parallax'                        => '0',
	'dima_second_footer_on_off'                   => '0',
	'dima_footer_bottom_center'                   => '0',
	'dima_footer_bottom'                          => '1',
	'dima_footer_menu_display'                    => '1',
	'dima_footer_go_to_top'                       => '1',
	'dima_footer_content_display'                 => '1',
	'dima_footer_featured_area'                   => '0',
	'dima_footer_content_text'                    => 'Copyright © 2020 <a href="https://pixeldima.com/">PixelDima</a>. Powered by WordPress.',
	'dima_footer_widget_areas'                    => 'footer-4c',
	'dima_second_footer_widget_areas'             => 'footer-4c',
	'dima_footer_widget_header_size'              => '18px',
	'dima_footer_widget_header_uppercase'         => '',
	'dima_footer_widget_body_size'                => '14px',
	'dima_footer_widget_body_uppercase'           => '0',
	'dima_open_graph_meta_tag'                    => '1',
	'dima_seo_is_plugin'                          => '0',
	'dima_twitter_username'                       => '',
	'dima_twitter_account_id'                     => '',
	'dima_facebook_page_id'                       => '',
	'dima_prefetching'                            => '0',
	'dima_custom_style'                           => '',
	'dima_custom_js'                              => '',
	'dima_ad_blocker_detector'                    => '0',
	'dima_ad_above_article'                       => '0',
	'dima_ad_below_article'                       => '0',
	'dima_ad_above_article_custom_code'           => '',
	'dima_ad_below_article_custom_code'           => '',
	'dima_ad1_shortcode'                          => '',
	'dima_ad2_shortcode'                          => '',
	'dima_ad3_shortcode'                          => '',
	'dima_ad4_shortcode'                          => '',
	'dima_ad5_shortcode'                          => '',
	'dima_disable_featured_gif'                   => '0',
	'dima_disable_lightbox'                       => '1',
	'dima_disable_dropkick'                       => '1',
	'dima_remove_ver_params'                      => '1',
	'dima_defer_async'                            => 'defer',
	'dima_optimize_wc'                            => '1',
	'dima_lazy_image'                             => '0',
	'dima_lazy_plac_image'                        => '1',
	'dima_lazy_plac_ef_image'                     => 'small',
	'dima_fontawesome_five'                       => '1',
	'dima_fontawesome_five_svg'                   => '0',
	'dima_fontawesome_five_upgrading'             => '1',
	'dima_css_cache_method'                       => 'off',
	'dima_cache_server_ip'                        => '',
	'dima_animation_active'                       => '1',
	'dima_space_before_head'                      => '',
	'dima_space_before_body'                      => '',
	'dima_space_after_body'                       => '',
	'dima_google_map_api_key'                     => '',
	'dima_social_facebook'                        => '',
	'dima_social_icons_is_colored'                => '0',
	'dima_social_twitter'                         => '',
	'dima_social_linkedin'                        => '',
	'dima_social_youtube'                         => '',
	'dima_social_vimeo'                           => '',
	'dima_social_foursquare'                      => '',
	'dima_social_tumblr'                          => '',
	'dima_social_instagram'                       => '',
	'dima_social_dribbble'                        => '',
	'dima_social_flickr'                          => '',
	'dima_social_behance'                         => '',
	'dima_social_pinterest'                       => '',
	'dima_social_whatsapp'                        => '',
	'dima_social_vk'                              => '',
	'dima_social_soundcloud'                      => '',
	'dima_social_rss'                             => '',
	'dima_favicon'                                => '',
	'dima_iphone_icon'                            => '',
	'dima_iphone_retina_icon'                     => '',
	'dima_ipad_icon'                              => '',
	'dima_ipad_retina_icon'                       => '',
	'dima_opengraph_image'                        => '',
	'dima_body_weight_selected'                   => '',
	'dima_navbar_weight_selected'                 => '',
	'dima_heading_weight_selected'                => '',
	'dima_projects_related_display'               => '1',
	'dima_projects_related_style'                 => 'grid',
	'dima_projects_related_columns'               => '3',
	'dima_projects_related_count'                 => '3',
	'dima_projects_related_elm_hover'             => 'op_vc_inside',
	'dima_projects_related_img_hover'             => 'op_vc_none',
	'dima_portfolio_page_url'                     => '',
	'dima_blog_page'                              => '',
	'dima_portfolio_page'                         => '',
	'dima_projects_details'                       => '1',
	'dima_projects_details_pagination'            => '1',
	'dima_edd_details_pagination'                 => '1',
	'dima_projects_portfolio_shear_icon_and_tag'  => '1',
	'dima_projects_details_sidebar'               => '',
	'dima_layout_projects_details_content'        => '',
	'dima_projects_details_style'                 => 'modern',
	'dima_projects_details_layout'                => 'top',
	'dima_header_navbar_menu_dark'                => '1',
	'dima_header_navbar_sup_menu_dark'            => '1',
	'dima_header_navbar_page_title_dark'          => '1',
	'dima_portfolio_top_link_source'              => 'page',
	'dima_projects_slug_name'                     => 'dima-portfolio',
	'dima_portfolio_page_columns'                 => '4',
	'dima_portfolio_page_elm_hover'               => '',
	'dima_portfolio_page_img_hover'               => '',
	'dima_portfolio_page_filters'                 => '0',
	'dima_portfolio_page_margin'                  => '0',
	'dima_portfolio_page_is_pagination'           => '1',
	'dima_portfolio_page_name'                    => 'Portfolio',
	'dima_portfolio_page_count'                   => '9',
	'dima_heading_text_style_2'                   => 'bold',
	'dima_heading_font_list_2'                    => 'Poppins',
	'dima_heading_weights_list_2'                 => '300',
	'dima_heading_weight_selected_2'              => '',
	'dima_heading_letter_spacing_2'               => '0',
	'dima_heading_text_color_2'                   => '#333333',
	'dima_heading_text_style_3'                   => 'bold',
	'dima_heading_font_list_3'                    => 'Poppins',
	'dima_heading_weights_list_3'                 => '300',
	'dima_heading_weight_selected_3'              => '',
	'dima_heading_letter_spacing_3'               => '0',
	'dima_heading_text_color_3'                   => '#333333',
	'dima_heading_text_style_4'                   => 'bold',
	'dima_heading_font_list_4'                    => 'Poppins',
	'dima_heading_weights_list_4'                 => '300',
	'dima_heading_weight_selected_4'              => '',
	'dima_heading_letter_spacing_4'               => '0',
	'dima_heading_text_color_4'                   => '#333333',
	'dima_heading_text_style_5'                   => 'bold',
	'dima_heading_font_list_5'                    => 'Poppins',
	'dima_heading_weights_list_5'                 => '400',
	'dima_heading_weight_selected_5'              => '',
	'dima_heading_letter_spacing_5'               => '0',
	'dima_heading_text_color_5'                   => '#333333',
	'dima_heading_text_style_6'                   => 'bold',
	'dima_heading_font_list_6'                    => 'Poppins',
	'dima_heading_weights_list_6'                 => '400',
	'dima_heading_weight_selected_6'              => '',
	'dima_heading_letter_spacing_6'               => '0',
	'dima_h1_text_size'                           => '',
	'dima_h2_text_size'                           => '',
	'dima_h3_text_size'                           => '',
	'dima_h4_text_size'                           => '',
	'dima_h5_text_size'                           => '',
	'dima_h6_text_size'                           => '',
	'dima_heading_text_color_6'                   => '#333333',
	'dima_amp_facebook_id'                        => '',
	'dima_amp_leave_a_comment'                    => 'Leave a Comment',
	'dima_amp_check_also'                         => 'Check Also',
	'dima_amp_categories'                         => 'Categories',
	'dima_amp_ago'                                => 'Ago',
	'dima_amp_tags'                               => 'Tags',
	'dima_amp_back_to_top'                        => '0',
	'dima_amp_footer_logo'                        => '',
	'dima_amp_footer_menu'                        => '',
	'dima_amp_ad_abover'                          => '',
	'dima_amp_ad_below'                           => '',
	'dima_amp_logo'                               => '',
	'dima_amp_logo_width'                         => '155',
	'dima_amp_related_posts'                      => '1',
	'dima_amp_enable'                             => '1',
	'dima_amp_share_buttons'                      => '1',
	'dima_amp_bg_color'                           => '#ffffff',
	'dima_amp_header_bg_color'                    => '#333333',
	'dima_amp_title_color'                        => '#333333',
	'dima_amp_link_color'                         => '#222222',
	'dima_amp_footer_bg_color'                    => '#333333',
	'dima_amp_footer_border_color'                => '#292929',
	'dima_amp_footer_content_text'                => 'Copyright © 2018 <a href="https://pixeldima.com/">PixelDima</a>. Powered by WordPress.',
	'dima_animation_active'                       => '',
	'dima_pwa_enable'                             => '1',
	'dima_pwa_filetypes_cache_first'              => '',
	'dima_pwa_filetypes_network_first'            => '',
	'dima_pwa_filetypes_stale_while_revalidate'   => '',
	'dima_pwa_manifest_display'                   => 'minimal-ui',
	'dima_pwa_manifest_logo'                      => '',
	'dima_pwa_theme_color'                        => '#333333',
	'dima_pwa_background_color'                   => '#333333',
	'dima_pwa_short_name'                         => '',
	'dima_pwa_name'                               => '',
	'dima_pwa_description'                        => '',
);

if ( $is_menu_dark ) {
	$customizer_data_dark = array(
		'dima_navbar_background_color'      => '#333333',
		'dima_navbar_underline_hover_color' => '#FFFFFF',
	);
	$dima_customizer_data = array_merge( $dima_customizer_data, $customizer_data_dark );
}

if ( is_rtl() ) {
	$body_default_font    = 'Droid Arabic Naskh';
	$heading_default_font = 'Droid Arabic Kufi';
	$customizer_data_dark = array(
		'dima_navbar_font_list'  => $body_default_font,
		'dima_heading_font_list' => $heading_default_font,
		'dima_logo_font_list'    => $heading_default_font,
		'dima_body_font_list'    => $body_default_font,
		'dima_btn_font_list'     => $heading_default_font,
	);
	$dima_customizer_data = array_merge( $dima_customizer_data, $customizer_data_dark );
}

global $dima_array_of_social;
$dima_array_of_social = array(
	'dima_social_facebook',
	'dima_social_twitter',
	'dima_social_linkedin',
	'dima_social_youtube',
	'dima_social_vimeo',
	'dima_social_foursquare',
	'dima_social_tumblr',
	'dima_social_instagram',
	'dima_social_dribbble',
	'dima_social_flickr',
	'dima_social_behance',
	'dima_social_pinterest',
	'dima_social_whatsapp',
	'dima_social_soundcloud',
	'dima_social_rss',
	'dima_social_vk',
);
